<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<!--Created by IRIS Business Services Ltd., Powered by IRIS Carbon, Unique Code 6408b35654148f1594efda45, Generated At Wed, 08 Mar 2023 16:12:42 GMT-->
<link:linkbase xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://sb.lt/xbrl/role/THEGROUPSANDTHEBANKSSTATEMENTSOFCOMPREHENSIVEINCOME" xlink:type="simple" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#THEGROUPSANDTHEBANKSSTATEMENTSOFCOMPREHENSIVEINCOME" />
  <link:roleRef roleURI="http://sb.lt/xbrl/role/THEGROUPSANDTHEBANKSINCOMESTATEMENTS" xlink:type="simple" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#THEGROUPSANDTHEBANKSINCOMESTATEMENTS" />
  <link:roleRef roleURI="http://sb.lt/xbrl/role/THEGROUPSANDTHEBANKSSTATEMENTSOFFINANCIALPOSITION" xlink:type="simple" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#THEGROUPSANDTHEBANKSSTATEMENTSOFFINANCIALPOSITION" />
  <link:roleRef roleURI="http://sb.lt/xbrl/role/THEGROUPSANDTHEBANKSSTATEMENTSOFCASHFLOWS" xlink:type="simple" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#THEGROUPSANDTHEBANKSSTATEMENTSOFCASHFLOWS" />
  <link:roleRef roleURI="http://sb.lt/xbrl/role/THEGROUPSANDTHEBANKSSTATEMENTOFCHANGESINEQUITY" xlink:type="simple" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#THEGROUPSANDTHEBANKSSTATEMENTOFCHANGESINEQUITY" />
  <link:roleRef roleURI="http://sb.lt/xbrl/role/MANDATORYTAGS" xlink:type="simple" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#MANDATORYTAGS" />
  <link:roleRef roleURI="http://sb.lt/xbrl/role/NOTESTOTHEFINANCIALSTATEMENTS" xlink:type="simple" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#NOTESTOTHEFINANCIALSTATEMENTS" />
  <link:calculationLink xlink:type="extended" xlink:role="http://sb.lt/xbrl/role/THEGROUPSANDTHEBANKSSTATEMENTSOFCOMPREHENSIVEINCOME">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" xlink:title="ifrs-full_ComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:title="ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_ProfitLoss" xlink:title="Calculation : ifrs-full_ComprehensiveIncome to ifrs-full_ProfitLoss" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" xlink:title="ifrs-full_OtherComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncome" xlink:title="Calculation : ifrs-full_ComprehensiveIncome to ifrs-full_OtherComprehensiveIncome" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" xlink:label="ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" xlink:title="ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" xlink:title="Calculation : ifrs-full_OtherComprehensiveIncome to ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" xlink:label="ifrs-full_ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" xlink:title="ifrs-full_ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" xlink:title="Calculation : ifrs-full_OtherComprehensiveIncome to ifrs-full_ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" order="1" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:label="ifrs-full_IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:title="ifrs-full_IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:title="Calculation : ifrs-full_OtherComprehensiveIncome to ifrs-full_IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" order="2" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability" xlink:label="ifrs-full_OtherComprehensiveIncomeBeforeTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability" xlink:title="ifrs-full_OtherComprehensiveIncomeBeforeTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncomeBeforeTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability" xlink:title="Calculation : ifrs-full_OtherComprehensiveIncome to ifrs-full_OtherComprehensiveIncomeBeforeTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability" order="3" weight="1" use="optional" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://sb.lt/xbrl/role/THEGROUPSANDTHEBANKSINCOMESTATEMENTS">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:title="ifrs-full_ProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="ifrs-full_ProfitLossFromContinuingOperations" xlink:title="ifrs-full_ProfitLossFromContinuingOperations" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLoss" xlink:to="ifrs-full_ProfitLossFromContinuingOperations" xlink:title="Calculation : ifrs-full_ProfitLoss to ifrs-full_ProfitLossFromContinuingOperations" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" xlink:title="ifrs-full_ProfitLossBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromContinuingOperations" xlink:to="ifrs-full_ProfitLossBeforeTax" xlink:title="Calculation : ifrs-full_ProfitLossFromContinuingOperations to ifrs-full_ProfitLossBeforeTax" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" xlink:title="ifrs-full_ProfitLossFromOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_ProfitLossFromOperatingActivities" xlink:title="Calculation : ifrs-full_ProfitLossBeforeTax to ifrs-full_ProfitLossFromOperatingActivities" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RevenueFromInterest" xlink:label="ifrs-full_RevenueFromInterest" xlink:title="ifrs-full_RevenueFromInterest" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_RevenueFromInterest" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_RevenueFromInterest" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestRevenueCalculatedUsingEffectiveInterestMethod" xlink:label="ifrs-full_InterestRevenueCalculatedUsingEffectiveInterestMethod" xlink:title="ifrs-full_InterestRevenueCalculatedUsingEffectiveInterestMethod" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_RevenueFromInterest" xlink:to="ifrs-full_InterestRevenueCalculatedUsingEffectiveInterestMethod" xlink:title="Calculation : ifrs-full_RevenueFromInterest to ifrs-full_InterestRevenueCalculatedUsingEffectiveInterestMethod" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherIncome" xlink:label="ifrs-full_OtherIncome" xlink:title="ifrs-full_OtherIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_RevenueFromInterest" xlink:to="ifrs-full_OtherIncome" xlink:title="Calculation : ifrs-full_RevenueFromInterest to ifrs-full_OtherIncome" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestExpense" xlink:label="ifrs-full_InterestExpense" xlink:title="ifrs-full_InterestExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_RevenueFromInterest" xlink:to="ifrs-full_InterestExpense" xlink:title="Calculation : ifrs-full_RevenueFromInterest to ifrs-full_InterestExpense" order="2" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FeeAndCommissionIncomeExpense" xlink:label="ifrs-full_FeeAndCommissionIncomeExpense" xlink:title="ifrs-full_FeeAndCommissionIncomeExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_FeeAndCommissionIncomeExpense" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_FeeAndCommissionIncomeExpense" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FeeAndCommissionIncome" xlink:label="ifrs-full_FeeAndCommissionIncome" xlink:title="ifrs-full_FeeAndCommissionIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_FeeAndCommissionIncomeExpense" xlink:to="ifrs-full_FeeAndCommissionIncome" xlink:title="Calculation : ifrs-full_FeeAndCommissionIncomeExpense to ifrs-full_FeeAndCommissionIncome" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FeeAndCommissionExpense" xlink:label="ifrs-full_FeeAndCommissionExpense" xlink:title="ifrs-full_FeeAndCommissionExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_FeeAndCommissionIncomeExpense" xlink:to="ifrs-full_FeeAndCommissionExpense" xlink:title="Calculation : ifrs-full_FeeAndCommissionIncomeExpense to ifrs-full_FeeAndCommissionExpense" order="1" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradingIncomeExpense" xlink:label="ifrs-full_TradingIncomeExpense" xlink:title="ifrs-full_TradingIncomeExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_TradingIncomeExpense" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_TradingIncomeExpense" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainLossOfDerecognisedFinancialAssetsAtDateOfTransfer" xlink:label="ifrs-full_GainLossOfDerecognisedFinancialAssetsAtDateOfTransfer" xlink:title="ifrs-full_GainLossOfDerecognisedFinancialAssetsAtDateOfTransfer" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_GainLossOfDerecognisedFinancialAssetsAtDateOfTransfer" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_GainLossOfDerecognisedFinancialAssetsAtDateOfTransfer" order="3" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnDisposalsOfPropertyPlantAndEquipment" xlink:label="ifrs-full_GainsLossesOnDisposalsOfPropertyPlantAndEquipment" xlink:title="ifrs-full_GainsLossesOnDisposalsOfPropertyPlantAndEquipment" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_GainsLossesOnDisposalsOfPropertyPlantAndEquipment" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_GainsLossesOnDisposalsOfPropertyPlantAndEquipment" order="4" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InsuranceRevenue" xlink:label="ifrs-full_InsuranceRevenue" xlink:title="ifrs-full_InsuranceRevenue" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_InsuranceRevenue" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_InsuranceRevenue" order="5" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_MiscellaneousOtherOperatingIncome" xlink:label="ifrs-full_MiscellaneousOtherOperatingIncome" xlink:title="ifrs-full_MiscellaneousOtherOperatingIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_MiscellaneousOtherOperatingIncome" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_MiscellaneousOtherOperatingIncome" order="6" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="ifrs-full_EmployeeBenefitsExpense" xlink:title="ifrs-full_EmployeeBenefitsExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_EmployeeBenefitsExpense" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_EmployeeBenefitsExpense" order="7" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="ifrs-full_DepreciationAndAmortisationExpense" xlink:title="ifrs-full_DepreciationAndAmortisationExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_DepreciationAndAmortisationExpense" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_DepreciationAndAmortisationExpense" order="8" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InsuranceServiceExpensesFromInsuranceContractsIssued" xlink:label="ifrs-full_InsuranceServiceExpensesFromInsuranceContractsIssued" xlink:title="ifrs-full_InsuranceServiceExpensesFromInsuranceContractsIssued" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_InsuranceServiceExpensesFromInsuranceContractsIssued" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_InsuranceServiceExpensesFromInsuranceContractsIssued" order="9" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_MiscellaneousOtherOperatingExpense" xlink:label="ifrs-full_MiscellaneousOtherOperatingExpense" xlink:title="ifrs-full_MiscellaneousOtherOperatingExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_MiscellaneousOtherOperatingExpense" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_MiscellaneousOtherOperatingExpense" order="10" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_ImpairmentLossRecognisedInProfitOrLossLoansAndFinanceLeaseReceivables" xlink:label="sb_ImpairmentLossRecognisedInProfitOrLossLoansAndFinanceLeaseReceivables" xlink:title="sb_ImpairmentLossRecognisedInProfitOrLossLoansAndFinanceLeaseReceivables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="sb_ImpairmentLossRecognisedInProfitOrLossLoansAndFinanceLeaseReceivables" xlink:title="Calculation : ifrs-full_ProfitLossBeforeTax to sb_ImpairmentLossRecognisedInProfitOrLossLoansAndFinanceLeaseReceivables" order="1" weight="-1" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherAssets" xlink:label="sb_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherAssets" xlink:title="sb_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="sb_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherAssets" xlink:title="Calculation : ifrs-full_ProfitLossBeforeTax to sb_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherAssets" order="2" weight="-1" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_ImpairmentLossRecognisedInProfitOrLossInvestmentsInSubsidiaries" xlink:label="sb_ImpairmentLossRecognisedInProfitOrLossInvestmentsInSubsidiaries" xlink:title="sb_ImpairmentLossRecognisedInProfitOrLossInvestmentsInSubsidiaries" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="sb_ImpairmentLossRecognisedInProfitOrLossInvestmentsInSubsidiaries" xlink:title="Calculation : ifrs-full_ProfitLossBeforeTax to sb_ImpairmentLossRecognisedInProfitOrLossInvestmentsInSubsidiaries" order="3" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod" xlink:label="ifrs-full_ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod" xlink:title="ifrs-full_ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod" xlink:title="Calculation : ifrs-full_ProfitLossBeforeTax to ifrs-full_ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod" order="4" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:title="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromContinuingOperations" xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:title="Calculation : ifrs-full_ProfitLossFromContinuingOperations to ifrs-full_IncomeTaxExpenseContinuingOperations" order="1" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromDiscontinuedOperations" xlink:label="ifrs-full_ProfitLossFromDiscontinuedOperations" xlink:title="ifrs-full_ProfitLossFromDiscontinuedOperations" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLoss" xlink:to="ifrs-full_ProfitLossFromDiscontinuedOperations" xlink:title="Calculation : ifrs-full_ProfitLoss to ifrs-full_ProfitLossFromDiscontinuedOperations" order="1" weight="1" use="optional" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://sb.lt/xbrl/role/THEGROUPSANDTHEBANKSSTATEMENTSOFFINANCIALPOSITION">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" xlink:title="ifrs-full_EquityAndLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" xlink:title="ifrs-full_Liabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_Liabilities" xlink:title="Calculation : ifrs-full_EquityAndLiabilities to ifrs-full_Liabilities" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_DueToOtherBanksAndFinancialInstitutions" xlink:label="sb_DueToOtherBanksAndFinancialInstitutions" xlink:title="sb_DueToOtherBanksAndFinancialInstitutions" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="sb_DueToOtherBanksAndFinancialInstitutions" xlink:title="Calculation : ifrs-full_Liabilities to sb_DueToOtherBanksAndFinancialInstitutions" order="0" weight="1" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DerivativeFinancialLiabilities" xlink:label="ifrs-full_DerivativeFinancialLiabilities" xlink:title="ifrs-full_DerivativeFinancialLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_DerivativeFinancialLiabilities" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_DerivativeFinancialLiabilities" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DepositsFromCustomers" xlink:label="ifrs-full_DepositsFromCustomers" xlink:title="ifrs-full_DepositsFromCustomers" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_DepositsFromCustomers" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_DepositsFromCustomers" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentFinancialLiabilitiesAtAmortisedCost" xlink:label="ifrs-full_CurrentFinancialLiabilitiesAtAmortisedCost" xlink:title="ifrs-full_CurrentFinancialLiabilitiesAtAmortisedCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_CurrentFinancialLiabilitiesAtAmortisedCost" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_CurrentFinancialLiabilitiesAtAmortisedCost" order="3" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DebtSecurities" xlink:label="ifrs-full_DebtSecurities" xlink:title="ifrs-full_DebtSecurities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_DebtSecurities" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_DebtSecurities" order="4" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxLiabilities" xlink:label="ifrs-full_CurrentTaxLiabilities" xlink:title="ifrs-full_CurrentTaxLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_CurrentTaxLiabilities" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_CurrentTaxLiabilities" order="5" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="ifrs-full_DeferredTaxLiabilities" xlink:title="ifrs-full_DeferredTaxLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_DeferredTaxLiabilities" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_DeferredTaxLiabilities" order="6" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InsuranceContractsIssuedThatAreLiabilities" xlink:label="ifrs-full_InsuranceContractsIssuedThatAreLiabilities" xlink:title="ifrs-full_InsuranceContractsIssuedThatAreLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_InsuranceContractsIssuedThatAreLiabilities" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_InsuranceContractsIssuedThatAreLiabilities" order="7" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherFinancialLiabilities" xlink:label="ifrs-full_OtherFinancialLiabilities" xlink:title="ifrs-full_OtherFinancialLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_OtherFinancialLiabilities" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_OtherFinancialLiabilities" order="8" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNonfinancialLiabilities" xlink:label="ifrs-full_OtherNonfinancialLiabilities" xlink:title="ifrs-full_OtherNonfinancialLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_OtherNonfinancialLiabilities" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_OtherNonfinancialLiabilities" order="9" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GovernmentGrants" xlink:label="ifrs-full_GovernmentGrants" xlink:title="ifrs-full_GovernmentGrants" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_GovernmentGrants" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_GovernmentGrants" order="10" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" xlink:title="ifrs-full_Equity" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_Equity" xlink:title="Calculation : ifrs-full_EquityAndLiabilities to ifrs-full_Equity" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" xlink:title="ifrs-full_IssuedCapital" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_IssuedCapital" xlink:title="Calculation : ifrs-full_Equity to ifrs-full_IssuedCapital" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_SharePremium" xlink:label="ifrs-full_SharePremium" xlink:title="ifrs-full_SharePremium" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_SharePremium" xlink:title="Calculation : ifrs-full_Equity to ifrs-full_SharePremium" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TreasuryShares" xlink:label="ifrs-full_TreasuryShares" xlink:title="ifrs-full_TreasuryShares" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_TreasuryShares" xlink:title="Calculation : ifrs-full_Equity to ifrs-full_TreasuryShares" order="2" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CapitalReserve" xlink:label="ifrs-full_CapitalReserve" xlink:title="ifrs-full_CapitalReserve" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_CapitalReserve" xlink:title="Calculation : ifrs-full_Equity to ifrs-full_CapitalReserve" order="3" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_StatutoryReserve" xlink:label="ifrs-full_StatutoryReserve" xlink:title="ifrs-full_StatutoryReserve" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_StatutoryReserve" xlink:title="Calculation : ifrs-full_Equity to ifrs-full_StatutoryReserve" order="4" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:label="ifrs-full_ReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:title="ifrs-full_ReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_ReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:title="Calculation : ifrs-full_Equity to ifrs-full_ReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" order="5" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CapitalRedemptionReserve" xlink:label="ifrs-full_CapitalRedemptionReserve" xlink:title="ifrs-full_CapitalRedemptionReserve" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_CapitalRedemptionReserve" xlink:title="Calculation : ifrs-full_Equity to ifrs-full_CapitalRedemptionReserve" order="6" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherEquityInterest" xlink:label="ifrs-full_OtherEquityInterest" xlink:title="ifrs-full_OtherEquityInterest" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_OtherEquityInterest" xlink:title="Calculation : ifrs-full_Equity to ifrs-full_OtherEquityInterest" order="7" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="ifrs-full_RetainedEarnings" xlink:title="ifrs-full_RetainedEarnings" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_RetainedEarnings" xlink:title="Calculation : ifrs-full_Equity to ifrs-full_RetainedEarnings" order="8" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:label="ifrs-full_NoncontrollingInterests" xlink:title="ifrs-full_NoncontrollingInterests" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_NoncontrollingInterests" xlink:title="Calculation : ifrs-full_Equity to ifrs-full_NoncontrollingInterests" order="9" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" xlink:title="ifrs-full_Assets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" xlink:title="ifrs-full_CashAndCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_CashAndCashEquivalents" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_CashAndCashEquivalents" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" xlink:label="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" xlink:title="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ItemsInCourseOfCollectionFromOtherBanks" xlink:label="ifrs-full_ItemsInCourseOfCollectionFromOtherBanks" xlink:title="ifrs-full_ItemsInCourseOfCollectionFromOtherBanks" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_ItemsInCourseOfCollectionFromOtherBanks" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_ItemsInCourseOfCollectionFromOtherBanks" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DerivativeFinancialAssets" xlink:label="ifrs-full_DerivativeFinancialAssets" xlink:title="ifrs-full_DerivativeFinancialAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_DerivativeFinancialAssets" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_DerivativeFinancialAssets" order="3" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ConsumerLoans" xlink:label="ifrs-full_ConsumerLoans" xlink:title="ifrs-full_ConsumerLoans" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_ConsumerLoans" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_ConsumerLoans" order="4" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceLeaseReceivables" xlink:label="ifrs-full_FinanceLeaseReceivables" xlink:title="ifrs-full_FinanceLeaseReceivables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_FinanceLeaseReceivables" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_FinanceLeaseReceivables" order="5" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinancialAssetsAvailableforsale" xlink:label="ifrs-full_FinancialAssetsAvailableforsale" xlink:title="ifrs-full_FinancialAssetsAvailableforsale" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_FinancialAssetsAvailableforsale" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_FinancialAssetsAvailableforsale" order="6" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_HeldtomaturityInvestments" xlink:label="ifrs-full_HeldtomaturityInvestments" xlink:title="ifrs-full_HeldtomaturityInvestments" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_HeldtomaturityInvestments" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_HeldtomaturityInvestments" order="7" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:label="ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:title="ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates" order="8" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:label="ifrs-full_IntangibleAssetsAndGoodwill" xlink:title="ifrs-full_IntangibleAssetsAndGoodwill" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_IntangibleAssetsAndGoodwill" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_IntangibleAssetsAndGoodwill" order="9" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="ifrs-full_PropertyPlantAndEquipment" xlink:title="ifrs-full_PropertyPlantAndEquipment" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_PropertyPlantAndEquipment" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_PropertyPlantAndEquipment" order="10" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InvestmentProperty" xlink:label="ifrs-full_InvestmentProperty" xlink:title="ifrs-full_InvestmentProperty" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_InvestmentProperty" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_InvestmentProperty" order="11" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxAssets" xlink:label="ifrs-full_CurrentTaxAssets" xlink:title="ifrs-full_CurrentTaxAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_CurrentTaxAssets" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_CurrentTaxAssets" order="12" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:label="ifrs-full_DeferredTaxAssets" xlink:title="ifrs-full_DeferredTaxAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_DeferredTaxAssets" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_DeferredTaxAssets" order="13" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherFinancialAssets" xlink:label="ifrs-full_OtherFinancialAssets" xlink:title="ifrs-full_OtherFinancialAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_OtherFinancialAssets" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_OtherFinancialAssets" order="14" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNonfinancialAssets" xlink:label="ifrs-full_OtherNonfinancialAssets" xlink:title="ifrs-full_OtherNonfinancialAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_OtherNonfinancialAssets" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_OtherNonfinancialAssets" order="15" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" xlink:label="ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" xlink:title="ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" order="16" weight="1" use="optional" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://sb.lt/xbrl/role/THEGROUPSANDTHEBANKSSTATEMENTSOFCASHFLOWS">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:title="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInCashAndCashEquivalents to ifrs-full_CashFlowsFromUsedInOperatingActivities" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:title="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_InterestReceivedOnLoansAndAdvancesClassifiedAsOperatingActivities" xlink:label="sb_InterestReceivedOnLoansAndAdvancesClassifiedAsOperatingActivities" xlink:title="sb_InterestReceivedOnLoansAndAdvancesClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="sb_InterestReceivedOnLoansAndAdvancesClassifiedAsOperatingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to sb_InterestReceivedOnLoansAndAdvancesClassifiedAsOperatingActivities" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_InterestReceivedOnFinanceLeaseClassifiedAsOperatingActivities" xlink:label="sb_InterestReceivedOnFinanceLeaseClassifiedAsOperatingActivities" xlink:title="sb_InterestReceivedOnFinanceLeaseClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="sb_InterestReceivedOnFinanceLeaseClassifiedAsOperatingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to sb_InterestReceivedOnFinanceLeaseClassifiedAsOperatingActivities" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_InterestReceivedOnDebtSecuritiesInTheTradingBookClassifiedAsOperatingActivities" xlink:label="sb_InterestReceivedOnDebtSecuritiesInTheTradingBookClassifiedAsOperatingActivities" xlink:title="sb_InterestReceivedOnDebtSecuritiesInTheTradingBookClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="sb_InterestReceivedOnDebtSecuritiesInTheTradingBookClassifiedAsOperatingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to sb_InterestReceivedOnDebtSecuritiesInTheTradingBookClassifiedAsOperatingActivities" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:title="ifrs-full_InterestPaidClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to ifrs-full_InterestPaidClassifiedAsOperatingActivities" order="3" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ReceiptsFromRoyaltiesFeesCommissionsAndOtherRevenue" xlink:label="ifrs-full_ReceiptsFromRoyaltiesFeesCommissionsAndOtherRevenue" xlink:title="ifrs-full_ReceiptsFromRoyaltiesFeesCommissionsAndOtherRevenue" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_ReceiptsFromRoyaltiesFeesCommissionsAndOtherRevenue" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to ifrs-full_ReceiptsFromRoyaltiesFeesCommissionsAndOtherRevenue" order="4" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_FeesAndCommissionsPaid" xlink:label="sb_FeesAndCommissionsPaid" xlink:title="sb_FeesAndCommissionsPaid" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="sb_FeesAndCommissionsPaid" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to sb_FeesAndCommissionsPaid" order="5" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsFromContractsHeldForDealingOrTradingPurpose" xlink:label="ifrs-full_PaymentsFromContractsHeldForDealingOrTradingPurpose" xlink:title="ifrs-full_PaymentsFromContractsHeldForDealingOrTradingPurpose" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_PaymentsFromContractsHeldForDealingOrTradingPurpose" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to ifrs-full_PaymentsFromContractsHeldForDealingOrTradingPurpose" order="6" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_NetInflowsFromForeignExchangeTrading" xlink:label="sb_NetInflowsFromForeignExchangeTrading" xlink:title="sb_NetInflowsFromForeignExchangeTrading" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="sb_NetInflowsFromForeignExchangeTrading" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to sb_NetInflowsFromForeignExchangeTrading" order="7" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncomeReceivedClassifiedAsOperatingActivities" xlink:label="ifrs-full_FinanceIncomeReceivedClassifiedAsOperatingActivities" xlink:title="ifrs-full_FinanceIncomeReceivedClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_FinanceIncomeReceivedClassifiedAsOperatingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to ifrs-full_FinanceIncomeReceivedClassifiedAsOperatingActivities" order="8" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_NetInflowsFromDisposalOfTangibleAssets" xlink:label="sb_NetInflowsFromDisposalOfTangibleAssets" xlink:title="sb_NetInflowsFromDisposalOfTangibleAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="sb_NetInflowsFromDisposalOfTangibleAssets" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to sb_NetInflowsFromDisposalOfTangibleAssets" order="9" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherCashReceiptsFromOperatingActivities" xlink:label="ifrs-full_OtherCashReceiptsFromOperatingActivities" xlink:title="ifrs-full_OtherCashReceiptsFromOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_OtherCashReceiptsFromOperatingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to ifrs-full_OtherCashReceiptsFromOperatingActivities" order="10" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherCashPaymentsFromOperatingActivities" xlink:label="ifrs-full_OtherCashPaymentsFromOperatingActivities" xlink:title="ifrs-full_OtherCashPaymentsFromOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_OtherCashPaymentsFromOperatingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to ifrs-full_OtherCashPaymentsFromOperatingActivities" order="11" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_RecoveriesOnLoansPreviouslyWrittenOff" xlink:label="sb_RecoveriesOnLoansPreviouslyWrittenOff" xlink:title="sb_RecoveriesOnLoansPreviouslyWrittenOff" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="sb_RecoveriesOnLoansPreviouslyWrittenOff" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to sb_RecoveriesOnLoansPreviouslyWrittenOff" order="12" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsToAndOnBehalfOfEmployees" xlink:label="ifrs-full_PaymentsToAndOnBehalfOfEmployees" xlink:title="ifrs-full_PaymentsToAndOnBehalfOfEmployees" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_PaymentsToAndOnBehalfOfEmployees" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to ifrs-full_PaymentsToAndOnBehalfOfEmployees" order="13" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_PaymentsRelatedToOperatingAndOtherExpenses" xlink:label="sb_PaymentsRelatedToOperatingAndOtherExpenses" xlink:title="sb_PaymentsRelatedToOperatingAndOtherExpenses" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="sb_PaymentsRelatedToOperatingAndOtherExpenses" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to sb_PaymentsRelatedToOperatingAndOtherExpenses" order="14" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:title="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" order="15" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:label="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:title="ifrs-full_IncreaseDecreaseInWorkingCapital" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_IncreaseDecreaseInWorkingCapital" order="1" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanks" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanks" xlink:title="ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanks" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanks" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInWorkingCapital to ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanks" order="0" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToCustomers" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToCustomers" xlink:title="ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToCustomers" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToCustomers" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInWorkingCapital to ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToCustomers" order="1" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_AdjustmentsForDecreaseIncreaseInFinancialLeaseReceivable" xlink:label="sb_AdjustmentsForDecreaseIncreaseInFinancialLeaseReceivable" xlink:title="sb_AdjustmentsForDecreaseIncreaseInFinancialLeaseReceivable" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="sb_AdjustmentsForDecreaseIncreaseInFinancialLeaseReceivable" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInWorkingCapital to sb_AdjustmentsForDecreaseIncreaseInFinancialLeaseReceivable" order="2" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_AdjustmentsForDecreaseIncreaseInOtherFinancialAssets" xlink:label="sb_AdjustmentsForDecreaseIncreaseInOtherFinancialAssets" xlink:title="sb_AdjustmentsForDecreaseIncreaseInOtherFinancialAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="sb_AdjustmentsForDecreaseIncreaseInOtherFinancialAssets" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInWorkingCapital to sb_AdjustmentsForDecreaseIncreaseInOtherFinancialAssets" order="3" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_AdjustmentsForDecreaseIncreaseInOtherNonFinancialAssets" xlink:label="sb_AdjustmentsForDecreaseIncreaseInOtherNonFinancialAssets" xlink:title="sb_AdjustmentsForDecreaseIncreaseInOtherNonFinancialAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="sb_AdjustmentsForDecreaseIncreaseInOtherNonFinancialAssets" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInWorkingCapital to sb_AdjustmentsForDecreaseIncreaseInOtherNonFinancialAssets" order="4" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_AdjustmentsForDecreaseIncreaseInDueToBanksAndFinancialInstitutions" xlink:label="sb_AdjustmentsForDecreaseIncreaseInDueToBanksAndFinancialInstitutions" xlink:title="sb_AdjustmentsForDecreaseIncreaseInDueToBanksAndFinancialInstitutions" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="sb_AdjustmentsForDecreaseIncreaseInDueToBanksAndFinancialInstitutions" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInWorkingCapital to sb_AdjustmentsForDecreaseIncreaseInDueToBanksAndFinancialInstitutions" order="5" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInDepositsFromCustomers" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInDepositsFromCustomers" xlink:title="ifrs-full_AdjustmentsForIncreaseDecreaseInDepositsFromCustomers" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInDepositsFromCustomers" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInWorkingCapital to ifrs-full_AdjustmentsForIncreaseDecreaseInDepositsFromCustomers" order="6" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_AdjustmentsForDecreaseIncreaseInSpecialAndLendingFunds" xlink:label="sb_AdjustmentsForDecreaseIncreaseInSpecialAndLendingFunds" xlink:title="sb_AdjustmentsForDecreaseIncreaseInSpecialAndLendingFunds" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="sb_AdjustmentsForDecreaseIncreaseInSpecialAndLendingFunds" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInWorkingCapital to sb_AdjustmentsForDecreaseIncreaseInSpecialAndLendingFunds" order="7" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilities" xlink:label="sb_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilities" xlink:title="sb_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="sb_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilities" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInWorkingCapital to sb_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilities" order="8" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_AdjustmentsForIncreaseDecreaseInOtherNonFinancialLiabilities" xlink:label="sb_AdjustmentsForIncreaseDecreaseInOtherNonFinancialLiabilities" xlink:title="sb_AdjustmentsForIncreaseDecreaseInOtherNonFinancialLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="sb_AdjustmentsForIncreaseDecreaseInOtherNonFinancialLiabilities" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInWorkingCapital to sb_AdjustmentsForIncreaseDecreaseInOtherNonFinancialLiabilities" order="9" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInCashAndCashEquivalents to ifrs-full_CashFlowsFromUsedInInvestingActivities" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:title="ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" order="0" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:title="ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_PurchaseOfFinancialInstrumentsAtAmortizedCostClassifiedAsInvestingActivities" xlink:label="sb_PurchaseOfFinancialInstrumentsAtAmortizedCostClassifiedAsInvestingActivities" xlink:title="sb_PurchaseOfFinancialInstrumentsAtAmortizedCostClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="sb_PurchaseOfFinancialInstrumentsAtAmortizedCostClassifiedAsInvestingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to sb_PurchaseOfFinancialInstrumentsAtAmortizedCostClassifiedAsInvestingActivities" order="2" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_ProceedsFromSalesOrMaturityOfFinancialInstrumentsAtAmortizedCostClassifiedAsInvestingActivities" xlink:label="sb_ProceedsFromSalesOrMaturityOfFinancialInstrumentsAtAmortizedCostClassifiedAsInvestingActivities" xlink:title="sb_ProceedsFromSalesOrMaturityOfFinancialInstrumentsAtAmortizedCostClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="sb_ProceedsFromSalesOrMaturityOfFinancialInstrumentsAtAmortizedCostClassifiedAsInvestingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to sb_ProceedsFromSalesOrMaturityOfFinancialInstrumentsAtAmortizedCostClassifiedAsInvestingActivities" order="3" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_InterestReceivedOnDebtSecuritiesAtAmortizedCost" xlink:label="sb_InterestReceivedOnDebtSecuritiesAtAmortizedCost" xlink:title="sb_InterestReceivedOnDebtSecuritiesAtAmortizedCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="sb_InterestReceivedOnDebtSecuritiesAtAmortizedCost" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to sb_InterestReceivedOnDebtSecuritiesAtAmortizedCost" order="4" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsReceivedClassifiedAsInvestingActivities" xlink:label="ifrs-full_DividendsReceivedClassifiedAsInvestingActivities" xlink:title="ifrs-full_DividendsReceivedClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_DividendsReceivedClassifiedAsInvestingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to ifrs-full_DividendsReceivedClassifiedAsInvestingActivities" order="5" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_PurchaseOfFinancialInstrumentsAtFairValueClassifiedAsInvestingActivities" xlink:label="sb_PurchaseOfFinancialInstrumentsAtFairValueClassifiedAsInvestingActivities" xlink:title="sb_PurchaseOfFinancialInstrumentsAtFairValueClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="sb_PurchaseOfFinancialInstrumentsAtFairValueClassifiedAsInvestingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to sb_PurchaseOfFinancialInstrumentsAtFairValueClassifiedAsInvestingActivities" order="6" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_ProceedsFromSalesOrMaturityOfFinancialInstrumentsAtFairValueClassifiedAsInvestingActivities" xlink:label="sb_ProceedsFromSalesOrMaturityOfFinancialInstrumentsAtFairValueClassifiedAsInvestingActivities" xlink:title="sb_ProceedsFromSalesOrMaturityOfFinancialInstrumentsAtFairValueClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="sb_ProceedsFromSalesOrMaturityOfFinancialInstrumentsAtFairValueClassifiedAsInvestingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to sb_ProceedsFromSalesOrMaturityOfFinancialInstrumentsAtFairValueClassifiedAsInvestingActivities" order="7" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="549300TK038P6EV4YU51-2022-12-31.xsd#sb_InterestReceivedOnInvestmentSecuritiesAtFairValue" xlink:label="sb_InterestReceivedOnInvestmentSecuritiesAtFairValue" xlink:title="sb_InterestReceivedOnInvestmentSecuritiesAtFairValue" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="sb_InterestReceivedOnInvestmentSecuritiesAtFairValue" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to sb_InterestReceivedOnInvestmentSecuritiesAtFairValue" order="8" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:title="ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" order="9" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:title="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" order="10" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInCashAndCashEquivalents to ifrs-full_CashFlowsFromUsedInFinancingActivities" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:title="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInFinancingActivities to ifrs-full_DividendsPaidClassifiedAsFinancingActivities" order="0" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:label="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:title="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInFinancingActivities to ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" order="1" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:label="ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:title="ifrs-full_InterestPaidClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInFinancingActivities to ifrs-full_InterestPaidClassifiedAsFinancingActivities" order="2" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:title="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInFinancingActivities to ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" order="3" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:title="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInFinancingActivities to ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" order="4" weight="-1" use="optional" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://sb.lt/xbrl/role/THEGROUPSANDTHEBANKSSTATEMENTOFCHANGESINEQUITY" />
  <link:calculationLink xlink:type="extended" xlink:role="http://sb.lt/xbrl/role/MANDATORYTAGS" />
  <link:calculationLink xlink:type="extended" xlink:role="http://sb.lt/xbrl/role/NOTESTOTHEFINANCIALSTATEMENTS" />
</link:linkbase>